<?php
class Accionesmodelo_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

    public function guardar($parametro){ //guarda los datos de un nuevo momdelo en la bd
      $campos=array(
         
         'NombreModelo' => $parametro['NombreModelo'],
         'NoCabinas' => $parametro['NoCabinas'],
         'NoServicios' => $parametro['NoServicios']

      );
      $this->db->insert('modelo',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
         //Muestra una alerta cuando no se realizo
         // echo "<script>alert('Datos guardados correctamente');</script>";
         // redirect('franquicias/modelos/administrador/modeloA','refresh');
         
          echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."franquicias/modelos/administrador/modeloA';
                 </script>";

      }else{
        //Verifica que la consulta se realizo 
        // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        // redirect('franquicias/modelos/administrador/modeloA','refresh');
         echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."franquicias/modelos/administrador/modeloA';
                 </script>";
    }
   }
    public function eliminar ($id){  //elimina un modelo por medio de la variable $id que es pasada por el controlador
      
      $this->db->where('IdModelo', $id);
      $this->db->delete('modelo');
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res>0){
        //Muestra una alerta cuando se realizo
      // echo "<script>alert('Los datos se han eliminado correctamente');</script>";
      // redirect('franquicias/modelos/administrador/modeloA','refresh');
       echo "<script>alert('Los datos se han eliminado correctamente');
                 window.location.href='".base_url()."franquicias/modelos/administrador/modeloA';
                 </script>";
      }else{
        //Muestra una alerta cuando no se realizo
      // echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usuando en otras tablas');</script>";
      // redirect('franquicias/modelos/administrador/modeloA','refresh');
       echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usuando en otras tablas');
                 window.location.href='".base_url()."franquicias/modelos/administrador/modeloA';
                 </script>";
      }
   }
  public function obtenerenlace ($id){ //permite acceder al id del modelo que se desea editar por medio de la variable $id que es pasada por el controlador
      $this->db->where('IdModelo', $id);
      $query=$this->db->get('modelo');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }

   function editarenlace ($IdModelo, $data)//permite guardar en la bd la información que se modificó del modelo
   {
      $this->db->where('IdModelo', $IdModelo);
      $this->db->update('modelo', $data);
       $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo 
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('franquicias/modelos/administrador/modeloA','refresh');
         echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."franquicias/modelos/administrador/modeloA';
                 </script>";
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
        // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        // redirect("franquicias/modelos/administrador/modeloA/editar/$IdModelo",'refresh');
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."franquicias/modelos/administrador/modeloA/editar/$IdModelo';
                 </script>";
      }else {
        // echo "<script>alert('No se hizo nungun cambio');</script>";
        //   redirect('franquicias/modelos/administrador/modeloA','refresh');
          echo "<script>alert('No se hizo nungun cambio');
                 window.location.href='".base_url()."franquicias/modelos/administrador/modeloA';
                 </script>";
      }
   }

    function buscar($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre del modelo)
    $this->db->like('IdModelo', $query);
    $this->db->or_like('NombreModelo', $query);
    $query = $this->db->get('modelo');
    if ($query->num_rows() > 0){
      return $query;
    }else{
        // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
        // redirect('franquicias/modelos/administrador/modeloA','refresh');
         echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."franquicias/modelos/administrador/modeloA';
                 </script>";
    }
  }

}
